Package ru.bitel.bgbilling.modules.voice.common.bean

# Enum Class VoiceSessionDetailOrder.Status

java.lang.Object
java.lang.Enum<VoiceSessionDetailOrder.Status>
ru.bitel.bgbilling.modules.voice.common.bean.VoiceSessionDetailOrder.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<VoiceSessionDetailOrder.Status>`, `Constable`

Enclosing class:
  `VoiceSessionDetailOrder`

public static enum VoiceSessionDetailOrder.Status extends Enum<VoiceSessionDetailOrder.Status>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DONE`
  `ERROR`
  `EXECUTE`
  `WAIT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VoiceSessionDetailOrder.Status`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VoiceSessionDetailOrder.Status[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WAIT

    public static final VoiceSessionDetailOrder.Status WAIT

  - ### EXECUTE

    public static final VoiceSessionDetailOrder.Status EXECUTE

  - ### DONE

    public static final VoiceSessionDetailOrder.Status DONE

  - ### ERROR

    public static final VoiceSessionDetailOrder.Status ERROR

- ## Method Details

  - ### values

    public static VoiceSessionDetailOrder.Status[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VoiceSessionDetailOrder.Status valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null